/* $Id$ */
/*
 * functions to make X11 BDF font bold-italic.
 */
#include "common.h"
#include "bold.h"
#include "italic.h"

/*
 * make font bold ant output.
 */
void bitmap_make_bold_output(FILE *fp, Bitmap *bitmap, int width, int height, int bdir, int pile)
{
  char **tmp;
  int *d;
  int y;
  size_t len;

  len = (width-1)/8+1;
  d = XMALLOC(int, len);
  tmp = bitmap_make_bdf_tmp(bitmap, height);
  for (y = 0; y < height; y++) {
    hex_make_bold(d, *tmp, len, bdir, pile);
    hex_output(fp, d, len);
    tmp++;
  }
  XFREE(d);
}
